Bug 250525

Summary: news/rntrack Fresh port version
Product: Ports & Packages Reporter: Sergey Anokhin <admin>
Component: Individual Port(s)Assignee: Eugene Grosbein <eugen>
Status: Closed FIXED    
Severity: Affects Only Me CC: eugen, fernape
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
New port version
none
shar file
none
New shar with fixes none

Description Sergey Anokhin 2020-10-22 13:35:28 UTC
Created attachment 218971 [details]
New port version

Hi All,

New port version is attached. Pls, check it out and commit this if possible. Seems, port maintainer of this port is not avaible.

I think this port was removed from port tree:

https://bugs.freebsd.org/bugzilla/attachment.cgi?id=211598&action=diff

Also, check please needed port category.

Thanks
Comment 1 Sergey Anokhin 2020-10-25 13:21:05 UTC
Created attachment 219059 [details]
shar file

rntrack new port generated by shell archive
Comment 2 Sergey Anokhin 2020-10-25 20:05:17 UTC
Created attachment 219081 [details]
New shar with fixes

Little fixes.
Comment 3 Fernando ApesteguĂ­a freebsd_committer 2020-10-26 14:22:18 UTC
Hi Sergey.

I don't understand. You reference bug #244080 that was submitted _and closed_ by you.

I don't see that port being removed from the tree: https://people.freebsd.org/~crees/removed_ports/index.xml

Can you clarify?

Thanks!
Comment 4 Sergey Anokhin 2020-10-26 15:31:24 UTC
(In reply to Fernando ApesteguĂ­a from comment #3)

Bug #244080 is deprecated already.
Perhaps, I'm mistaken. Perhaps the port was only planned to became a freebsd port. May be this port called ftrack or ftrack-as before a long time ago.
Comment 5 commit-hook freebsd_committer 2020-10-27 21:35:03 UTC
A commit references this bug:

Author: eugen
Date: Tue Oct 27 21:34:55 UTC 2020
New revision: 553500
URL: https://svnweb.freebsd.org/changeset/ports/553500

Log:
  New port: news/rntrack aka FTrack-AS.

  This is a mail tracker/router for FidoNet-like networks.
  It has support for a popular message bases: MSG, PKT, Squish and JAM.
  Perl-scripting support does its work very flexible.

  PR:		250525
  Submitted by:	Sergey Anokhin <admin@5034.ru>

Changes:
  head/news/Makefile
  head/news/rntrack/
  head/news/rntrack/Makefile
  head/news/rntrack/distinfo
  head/news/rntrack/pkg-descr
  head/news/rntrack/pkg-plist
Comment 6 Eugene Grosbein freebsd_committer 2020-10-27 21:36:16 UTC
Committed, thanks!
Comment 7 Sergey Anokhin 2020-10-27 21:42:06 UTC
(In reply to Eugene Grosbein from comment #6)

Glad to help!